
From: Dmitry Torokhov <dtor_core@ameritech.net>

when getting a new device announce (0xAA 0x00) in psmouse try reconnecting
instead of rescanning to preserve (if possible) the same input device.


---

 25-akpm/drivers/input/mouse/psmouse-base.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/input/mouse/psmouse-base.c~new-set-of-input-patches-psmouse-rescan-on-hotplug drivers/input/mouse/psmouse-base.c
--- 25/drivers/input/mouse/psmouse-base.c~new-set-of-input-patches-psmouse-rescan-on-hotplug	2004-04-21 00:22:33.795897528 -0700
+++ 25-akpm/drivers/input/mouse/psmouse-base.c	2004-04-21 00:22:33.799896920 -0700
@@ -180,7 +180,7 @@ static irqreturn_t psmouse_interrupt(str
 		if (psmouse->pktcnt == 2) {
 			if (psmouse->packet[1] == PSMOUSE_RET_ID) {
 				psmouse->state = PSMOUSE_IGNORE;
-				serio_rescan(serio);
+				serio_reconnect(serio);
 				goto out;
 			}
 			if (psmouse->type == PSMOUSE_SYNAPTICS) {

_
